Skip to main content
GET
/
api
/
v1
/
databases
/
{id}
/
backups
/
{filename}
Download backup
curl --request GET \
  --url https://api.example.com/api/v1/databases/{id}/backups/{filename}
Downloads a single .sql.gz backup file as an attachment. If you do not already know the exact filename, call list backups first and use one of the returned filename values.

Path parameters

ParameterTypeDescription
iduuidDatabase ID
filenamestringBackup filename in YYYYMMDD_HHMMSS.sql.gz format

Example

curl -L \
  -H "Authorization: Bearer dbh_your_api_key_here" \
  https://dbhost.app/api/v1/databases/550e8400-e29b-41d4-a716-446655440000/backups/20260326_222551.sql.gz \
  -o 20260326_222551.sql.gz

Response

Returns the raw gzip file with Content-Type: application/gzip and Content-Disposition: attachment.

Errors

StatusCodeDescription
400INVALID_BACKUP_FILENAMEFilename is not in the expected backup format
401UNAUTHORIZEDMissing or invalid API key
404DATABASE_NOT_FOUNDDatabase doesn’t exist, isn’t owned by this user, or isn’t in scope for this key
404BACKUP_NOT_FOUNDBackup file does not exist
503AGENT_ROUTE_UNAVAILABLEBackup downloads are unavailable until the configured agent is updated
500AGENT_ERRORThe VPS agent failed to stream the backup